de.dhbwstuttgart.exceptions

## Class TypeinferenceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - de.dhbwstuttgart.exceptions.TypeinferenceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ParserError

    public class TypeinferenceException
    extends java.lang.RuntimeException

Eine RuntimeException, welche bei einem Fehler wÃ¤hrend des Typinferenzalgorithmus ausgelÃ¶st wird. Dies wird zum Beispiel durch Programmierfehler in der Java-Eingabedatei ausgelÃ¶st.

Author:
  Andreas Stadelmeier, a10023
See Also:
  Serialized Form

### Field Summary

Fields
`private java.lang.String` `message`
`private int` `offset` Das Offset im Quelltext bei dem das Problem aufgetaucht ist

### Constructor Summary

Constructors
Constructor and Description
`TypeinferenceException(java.lang.String message, int offset)`
`TypeinferenceException(java.lang.String message, SyntaxTreeNode problemSource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getMessage()`
`int` `getOffset()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### offset

    private int offset

Das Offset im Quelltext bei dem das Problem aufgetaucht ist

#### message

    private java.lang.String message

### Constructor Detail

#### TypeinferenceException

    public TypeinferenceException(java.lang.String message,
                                  SyntaxTreeNode problemSource)

#### TypeinferenceException

    public TypeinferenceException(java.lang.String message,
                                  int offset)

### Method Detail

#### getOffset

    public int getOffset()

Returns:
  Der Offset an dem im Quellcode der Fehler aufgetreten ist.

#### getMessage

    public java.lang.String getMessage()

Overrides:
  `getMessage` in class `java.lang.Throwable`